Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### textLeading()

Examples

    PFont font;
    // The font must be located in the sketch's
    // "data" directory to load successfully
    font = loadFont("EurekaMonoCond-Bold-14.vlw");
    // Text to display. The "n" is a "new line" character
    String lines = "LIN1nLIN2nLIN3";
    textFont(font, 14);
    textLeading(10);
    text(lines, 5, 25);
    fill(126);  // Set value to gray
    textLeading(20);
    text(lines, 36, 25);
    fill(0);    // Set value to black
    textLeading(30);
    text(lines, 68, 25);

Description | Sets the spacing between lines of text in units of pixels. This setting will be used in all subsequent calls to the text() function.

Syntax

    textLeading(dist)

Parameters

dist | int or float: the size in pixels for spacing between lines

Usage | Web & Application
Related | loadFont() PFont text() textFont()

Updated on February 09, 2008 04:38:52pm PST